
#ifdef __SASC_650

#include <constructor.h>
#include <proto/exec.h> 

#define SHARED

#include <cybergl/cybergl.h>
#include <clib/cybergl_protos.h>

void __regargs __autoopenfail(char *);

extern LONG __CGLlibversion;

struct Library *CyberGLBase;
static struct Library *LibBase;

CBMLIB_CONSTRUCTOR(OpenCGL)

{
 if (CyberGLBase=LibBase=OpenLibrary("cybergl.library",__CGLlibversion)) return 0;

 __autoopenfail("cybergl.library");
 return 1;
}

CBMLIB_DESTRUCTOR(CloseCGL)

{
 if (LibBase)
  {
   CloseLibrary (LibBase);
   LibBase=CyberGLBase=NULL;
  }
}

#pragma libcall CyberGLBase glLookAt		4ec	801

GLvoid     glLookAt_stub    (GLdouble eyex,    GLdouble eyey,    GLdouble eyez,
                             GLdouble centerx, GLdouble centery, GLdouble centerz,
                             GLdouble upx,     GLdouble upy,     GLdouble upz)
{
     GLlookAt lookat;

     lookat.eyex    = eyex;
     lookat.eyey    = eyey;
     lookat.eyez    = eyez;
     lookat.centerx = centerx;
     lookat.centery = centery;
     lookat.centerz = centerz;
     lookat.upx     = upx;
     lookat.upy     = upy;
     lookat.upz     = upz;
     glLookAt (&lookat);
}

#pragma libcall CyberGLBase glOrtho		4c2	801

GLvoid     glOrtho_stub   (GLdouble left,  GLdouble right, GLdouble bottom, GLdouble top,
                           GLdouble zNear, GLdouble zFar)
{
     GLortho ortho;

     ortho.left    = left;
     ortho.right   = right;
     ortho.bottom  = bottom;
     ortho.top     = top;
     ortho.zNear   = zNear;
     ortho.zFar    = zFar;
     glOrtho (&ortho);
}

#pragma libcall CyberGLBase glBitmap		66c	801

GLvoid     glBitmap_stub         (GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig,
                             GLfloat xmove, GLfloat ymove, GLubyte *bitmap)
{
     GLbitmap bmap;

     bmap.width    = width;
     bmap.height    = height;
     bmap.xorig    = xorig;
     bmap.yorig = yorig;
     bmap.xmove = xmove;
     bmap.ymove = ymove;
     bmap.bitmap = bitmap;
     glBitmap (&bmap);
}

#else
#error SAS/C 6.50 or newer required.
#endif
